0
votes
1answer
45 views

Yum does not install specific RPM version with custom repo

We use RPMS for our packaging and yum to update our environments. We have an rpm package-5.1.1-3 installed in our production server and in our yum repository we have 2 newer versions such as ...
0
votes
0answers
60 views

SELinux Dependency Errors - Spacewalk on CentOS 6

I've mostly followed this tutorial, and a few other resources, to get Spacewalk set up on a CentOS 6 server. http://www.computerglitch.net/bin/texts/CentOS6_Spacewalk_Server.php I'm getting errors at ...
0
votes
0answers
90 views

Yum does not resolve depencies after a rpm -ivh installation

i use AWS EC2 instances. i wanted to setup a package versioned at 5.4.0 but the latest that yum search all --enablerepo epel offered was 5.0.0. i hence did wget and configure && make ...
2
votes
2answers
345 views

Upgrading Node.JS from tarball of binares when yum-installed version already exists

On CentOS 6.3 64-bit, I've installed Node.JS version 0.6.18 using yum. I have an application that requires Node.JS v0.8.x. The currently stable version of Node.JS available is 0.8.7, which is ...
2
votes
1answer
265 views

yum/RPM depend on generic package (like “provides” in other package managers)

I'm trying to figure out how to make a package of mine depend on anything that provides "java", but I'm not sure what to even look up. Apparently "yum provides" is a command for finding out which ...
1
vote
1answer
97 views

How to know the version of RPM during installation

I have created a script for deployment using YUM and RPM. During the pre script, is it possible to know whats the version of the rpm I am deploying. I want to create a backup file with the version ...